
 LinHES - Bug # 792: Hang at Welcome screen during R7.00.03 install

Status: Can not duplicate Priority: Normal
Author: no2u Category:
Created: 11/05/2011 Assignee:
Updated: 01/04/2012 Due date:
Description: Trying to blast a fresh install of R7.00.03 from CD, and MythVantage hangs at the "Welcome to LinHES" 

install screen.  I don't know if it matters, but the SATA hard disk already contained some old linux partitions.  
The only choices I made during the attempted install were "No Spash-Screen" and "Install/Upgrade".  Retried 
the install 3 times and same result.  Attaching files from the /tmp directory, and output from various commands 
while in the hung state.  Let me know if I can provide any more info.

History
11/05/2011 09:11 am - jams
This looks like a focus problem. 
Try killing timezone.bin or pressing alt+tab to see if things come back into focus.

11/05/2011 09:17 am - no2u
- File fluxbox.log added

- File Xorg.0.log added

- File dmesg.log added

- File pacman.log added

Pressing alt-tab does nothing, still at the blue "Welcome" screen (as in photo).  Attaching log files from /var/log.

11/05/2011 09:30 am - brfransen
It looks like the menu got dismissed.  Try pressing M.

11/05/2011 09:32 am - no2u
FYI, deleting the old linux partitions from /dev/sda had no effect, install still hangs.  Note that that installation made it past the "Starting Network" screen 
and I pressed "Finish" after selecting the Hauppauge remote, and that's the point at which the blue "Welcome to LinHES!" screen is hung.

When I press Ctl-Alt-F1, the last message on the screen is "DBManager0 is still in use, all queries will cease to work".  Sorry that screen-shot was a 
little fuzzy.  I'm not sure which error messages are "normal", so not sure if it's significant.

11/05/2011 09:41 am - jams
pretty sure you have a focus problem.  did you try killing timezone.bin

11/05/2011 09:46 am - no2u
brfransen wrote:
> It looks like the menu got dismissed.  Try pressing M.

Pressing M at the blue screen has no effect. If I press Alt-M, the MythTV Front-End menu pops up, so the keyboard is responding (just as a point of 
interest), but note that the Install hasn't even partitioned the hard disk at this point.

11/05/2011 09:50 am - no2u
jams wrote:
> pretty sure you have a focus problem.  did you try killing timezone.bin
Good call.  After killing "timezone.bin", the Install is now continuing and formatting /dev/sda.

11/05/2011 10:23 am - no2u
Installation worked fine after that.

I don't think I would characterize this as a "focus" problem.  From the behavior, it would appear that the install script is simply waiting for "timezone.bin" 
to exit before displaying the screen which asks which time zone you're in.  Perhaps it would be possible for the install script to kill "timezone.bin" 
automatically after 5 seconds or so?  I'll bet that yanking the network cable might have worked as well, I think I'll repeat the install just to see.

11/05/2011 10:57 am - no2u
FYI, if I try running timezone.bin by itself...

   @/usr/MythVantage/bin/timezone.bin guess@

...it says "Error initialising lirc" and then hangs forever.  Disconnecting the network at this point has no effect.

If I disconnect the network cable and execute the same command again, it pulls up a picture of the globe (after displaying the same lirc message) and 
lets me select a time zone.

01/04/2012 10:22 am - jams
- Status changed from New to Can not duplicate

can not duplicate this on 7.1 or 7.2

Files
top.txt 4.5 kB 11/05/2011 no2u
fdisk_old_partitions.txt 550 Bytes 11/05/2011 no2u
mount.txt 904 Bytes 11/05/2011 no2u
x.log 1.6 kB 11/05/2011 no2u
photo1.JPG 132.4 kB 11/05/2011 no2u
photo2.JPG 255.8 kB 11/05/2011 no2u
mythvantage_install.log 33.4 kB 11/05/2011 no2u
.netinfo 842 Bytes 11/05/2011 no2u
ps-A.txt 2.4 kB 11/05/2011 no2u
.X0-lock 11 Bytes 11/05/2011 no2u
fluxbox.log 6.4 kB 11/05/2011 no2u
pacman.log 3.2 kB 11/05/2011 no2u
dmesg.log 55.8 kB 11/05/2011 no2u
Xorg.0.log 303.6 kB 11/05/2011 no2u
